Broadcast Transaction
Encode Transaction
Prepare an encoded transaction in the hexadecimal format for signing within a third-party service.
POST
/
api
/
v1
/
celestia
/
{network}
/
transaction
/
encode
Encode Transaction
curl --request POST \
--url https://api.p2p.org/api/api/v1/celestia/{network}/transaction/encode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stashAccountAddress": "<string>",
"signature": "Signature of the sender of the transaction.",
"encodedBody": "<string>",
"encodedAuthInfo": "<string>"
}
'import requests
url = "https://api.p2p.org/api/api/v1/celestia/{network}/transaction/encode"
payload = {
"stashAccountAddress": "<string>",
"signature": "Signature of the sender of the transaction.",
"encodedBody": "<string>",
"encodedAuthInfo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stashAccountAddress: '<string>',
signature: 'Signature of the sender of the transaction.',
encodedBody: '<string>',
encodedAuthInfo: '<string>'
})
};
fetch('https://api.p2p.org/api/api/v1/celestia/{network}/transaction/encode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"encodedTransaction": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Celestia network:
- `mainnet-beta` — Celestia mainnet.
- `mocha-testnet` — Celestia testnet.
Available options:
celestia-mainnet-beta, celestia-mocha-testnet Body
application/json
Delegator account address which keeps tokens.
Pattern:
^celestia[a-zA-Z0-9]{39}$Transaction signature in hexadecimal format.
Example:
"Signature of the sender of the transaction."
Processable transaction data encoded in the hexadecimal format.
Authorization data, including fee, encoded in the hexadecimal format.
Encode Transaction
